CollectionProxy (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.entities.mapper.relation.lazy.proxy
Class CollectionProxy<U,T extends Collection<U>>

    java.lang.Object
      org.hibernate.envers.entities.mapper.relation.lazy.proxy.CollectionProxy<U,T>

All Implemented Interfaces:
  Serializable, Iterable<U>, Collection<U>

Direct Known Subclasses:
  ListProxy, SetProxy, SortedSetProxy

    public abstract class CollectionProxy<U,T extends Collection<U>>

extends Object
implements Collection<U>, Serializable

See Also:
  Serialized Form

Field Summary
`protected T` | `delegate`

Constructor Summary
`protected` | `CollectionProxy()`
`` | `CollectionProxy(Initializor<T> initializor)`

Method Summary
`boolean` | `add(U o)`
`boolean` | `addAll(Collection<? extends U> c)`
`protected void` | `checkInit()`
`void` | `clear()`
`boolean` | `contains(Object o)`
`boolean` | `containsAll(Collection<?> c)`
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`Iterator<U>` | `iterator()`
`boolean` | `remove(Object o)`
`boolean` | `removeAll(Collection<?> c)`
`boolean` | `retainAll(Collection<?> c)`
`int` | `size()`
`Object[]` | `toArray()`
`
`<V> V[]`
` | `toArray(V[] a)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### delegate

    protected T extends Collection<U> delegate

Constructor Detail

### CollectionProxy

    protected CollectionProxy()

### CollectionProxy

    public CollectionProxy(Initializor<T> initializor)

Method Detail

### checkInit

    protected void checkInit()

### size

    public int size()

  Specified by:
    `size` in interface `Collection<U>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `Collection<U>`

### contains

    public boolean contains(Object o)

  Specified by:
    `contains` in interface `Collection<U>`

### iterator

    public Iterator<U> iterator()

  Specified by:
    `iterator` in interface `Iterable<U>`
  Specified by:
    `iterator` in interface `Collection<U>`

### toArray

    public Object[] toArray()

  Specified by:
    `toArray` in interface `Collection<U>`

### toArray

    public <V> V[] toArray(V[] a)

  Specified by:
    `toArray` in interface `Collection<U>`

### add

    public boolean add(U o)

  Specified by:
    `add` in interface `Collection<U>`

### remove

    public boolean remove(Object o)

  Specified by:
    `remove` in interface `Collection<U>`

### containsAll

    public boolean containsAll(Collection<?> c)

  Specified by:
    `containsAll` in interface `Collection<U>`

### addAll

    public boolean addAll(Collection<? extends U> c)

  Specified by:
    `addAll` in interface `Collection<U>`

### removeAll

    public boolean removeAll(Collection<?> c)

  Specified by:
    `removeAll` in interface `Collection<U>`

### retainAll

    public boolean retainAll(Collection<?> c)

  Specified by:
    `retainAll` in interface `Collection<U>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection<U>`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Collection<U>`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Collection<U>`
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.